import {Response} from '../../nshmp-ws-utils';

/**
 * RTGM service usage response.
 */
export type RtgmUsageResponse = Response<string, RtgmRequestMetdata>;

/**
 * RTGM service usage request metadata.
 */
export interface RtgmRequestMetdata {
  description: string;
  syntax: string[];
  parameters: RtgmUsageParameters;
}

/**
 * RTGM usage parameters.
 */
export interface RtgmUsageParameters {
  building_code: UsageParameterValues;
  label: UsageParameter;
  iml: UsageParameter;
  afe: UsageParameter;
}

/**
 * RTGM usage parameter
 */
export interface UsageParameter {
  label: string;
  info: string;
  units: string;
}

/**
 * RTGM usage paramter with values.
 */
export interface UsageParameterValues {
  label: string;
  info: string;
  values: string[];
}
