import {UsageParameter} from '../../erp/rtgm';
import {Response} from '../../nshmp-ws-utils';

/** NCM geophysical usage response */
export type GeophysicalUsage = Response<string, GeophysicalUsageResponseData>;

export interface GeophysicalUsageResponseData {
  description: string;
  syntax: string;
  parameters: GeophysicalParameters;
}

export interface GeophysicalParameters {
  location: LocationParameter;
  depths: DepthParameter;
}

export interface LocationParameter {
  latitude: NcmUsageParameter;
  longitude: NcmUsageParameter;
}

export interface DepthParameter {
  depth_min: NcmUsageParameter;
  depth_inc: NcmUsageParameter;
  depth_max: NcmUsageParameter;
}

export interface NcmUsageParameter extends UsageParameter {
  min: number;
  max: number;
}
