import {FeatureCollection} from 'geojson';

import {RateType} from '../../../nshmp-lib/gmm';
import {NshmId} from '../../../nshmp-lib/nshm';
import {Response} from '../../../nshmp-ws-utils';

export type FaultSectionsResponse = Response<
  FaultSectionRequestData,
  FeatureCollection
>;

export interface FaultSectionRequestData {
  nshmFaultSection: NshmId;
  raw: boolean;
}

export interface FaultSectionProperties {
  name: string;
  state: string | string[];
  dip?: number;
  lowerDepth?: number;
  rake: number;
  rate?: number;
  rateType?: RateType;
  upperDepth?: number;
}
