import {Response} from '../../../nshmp-ws-utils';
import {DoubleParameter} from '../../../nshmp-ws-utils/metadata';
import {SourceModel} from '../source-model.model';

/**
 * The hazard service usage response.
 */
export type HazardUsageResponse = Response<string, HazardRequestMetadata>;

/**
 * Base source model metadata.
 */
export interface HazardModelMetadata {
  model: SourceModel;
}

/**
 * The hazard service usage request metadata.
 */
export interface HazardRequestMetadata extends HazardModelMetadata {
  latitude: DoubleParameter;
  longitude: DoubleParameter;
  vs30: DoubleParameter;
}
