import {Location} from '../../../nshmp-lib/geo';
import {StaticNshmMetadata} from '../../../nshmp-ws-static/nshm-service';
import {Response} from '../../../nshmp-ws-utils';

export type NshmUsage = Response<string, NshmMetadata[]>;

export interface NshmMetadata extends StaticNshmMetadata {
  project: string;
  tag: string;
  test: NshmTest;
  year: number;
}

/**
 * Info for running test calls on NSHMs
 */
export interface NshmTest {
  /** Site to test */
  site: Location;
  /** Tree ID to test */
  treeId: number;
}
