import {XySequence} from './xy-sequence.model';

/**
 * Create a new XySequence with reverse cumulative values.
 *
 * @param incremental MFD
 */
function toCumulative(incremental: XySequence): XySequence {
  const cumulative: XySequence = {
    xs: [...incremental.xs],
    ys: [...incremental.ys],
  };

  let sum = 0.0;

  for (let i = incremental.ys.length - 1; i >= 0; i--) {
    sum += incremental.ys[i];
    cumulative.ys[i] = sum;
  }

  return {
    xs: [...cumulative.xs],
    ys: [...cumulative.ys],
  };
}

export const Sequences = {
  toCumulative,
};
