/**
 * NEHRP site class.
 *
 * Ported from: https://code.usgs.gov/ghsc/nshmp/nshmp-lib
 *    /-/blob/master/src/main/java/gov/usgs/earthquake/nshmp/gmm/NehrpSiteClass.java
 */
export enum NehrpSiteClass {
  A = 'A',
  AB = 'AB',
  B = 'B',
  BC = 'BC',
  C = 'C',
  CD = 'CD',
  D = 'D',
  DE = 'DE',
  E = 'E',
}

/**
 * The NEHRP site class condition.
 *
 * Ported from: https://code.usgs.gov/ghsc/nshmp/nshmp-lib
 *    /-/blob/master/src/main/java/gov/usgs/earthquake/nshmp/gmm/NehrpSiteClass.java
 */
export enum NehrpCondition {
  A = 'very hard rock',
  AB = 'hard rock',
  B = 'medium hard rock',
  BC = 'soft rock',
  C = 'very dense soil or hard clay',
  CD = 'dense sand or very stiff clay',
  D = 'medium dense sand or stiff clay',
  DE = 'loose sand or medium stiff clay',
  E = 'very loose sand or soft clay',
}
