import {XySequence} from '../data';

export enum MfdType {
  GR = 'GR',
  GR_MMAX_GR = 'GR_MMAX_GR',
  GR_MMAX_SINGLE = 'GR_MMAX_SINGLE',
  GR_TAPER = 'GR_TAPER',
  INCR = 'INCR',
  SINGLE = 'SINGLE',
}

export interface GutenbergRichter extends MfdProperties {
  a: number;
  b: number;
  Δm: number;
  mMin: number;
  mMax: number;
}

export interface Mfd {
  data: XySequence;
  props: MfdProperties;
}

export interface MfdProperties {
  type: MfdType;
}

export interface Single extends MfdProperties {
  m: number;
  rate: number;
}

export interface TaperedGr extends GutenbergRichter {
  mc: number;
}
