import {XySequence} from '../data';
import {Mfd} from './mfd';
import {SourceType} from './source-type';
import {TectonicSettings} from './tectonic-setting';

export interface MfdBranch {
  id: string;
  mfd: Mfd;
  weight: number;
}

export interface SettingGroup {
  data: SourceGroup[];
  setting: TectonicSettings;
}

export interface SourceBranch {
  branch: string;
  mfds: MfdBranch[];
  name: string;
  path: string;
  weight: number;
}

export interface SourceGroup {
  data: TreeInfo[];
  type: SourceType;
}

export interface Tree {
  branches: SourceBranch[];
  id: number;
  name: string;
  setting: TectonicSettings;
  totalMfd: XySequence;
  type: SourceType;
}

export interface TreeInfo {
  id: number;
  name: string;
}
