/**
 * NSHM regions.
 */
export enum NshmRegion {
  ALASKA = 'ALASKA',
  CONUS = 'CONUS',
  HAWAII = 'HAWAII',
}

/**
 * Returns the short form of the region.
 *
 * @param region The NSHM region
 */
export function nshmRegionShort(region: NshmRegion): string {
  switch (region) {
    case NshmRegion.ALASKA:
      return 'AK';
    case NshmRegion.CONUS:
      return NshmRegion.CONUS;
    case NshmRegion.HAWAII:
      return 'HI';
    default:
      throw new Error(`Region [${region}] not supported`);
  }
}
