import {XySequence} from '../../nshmp-lib/data';
import {Response} from '../../nshmp-ws-utils';
import {Parameter} from '../../nshmp-ws-utils/metadata';

export type StaticHazardResponse = Response<
  StaticRequestData,
  StaticResponseData<HazardResponseMetadata>[][]
>;

export type StaticHazardResponseSiteClass = Response<
  StaticRequestDataSiteClass,
  StaticResponseData<HazardResponseMetadata>[]
>;

export type StaticGroundMotionResponse = Response<
  StaticRequestData,
  StaticResponseData<GroundMotionResponseMetadata>[]
>;

export type StaticGroundMotionResponseSiteClass = Response<
  StaticRequestData,
  StaticResponseData<GroundMotionResponseMetadata>
>;
export interface StaticRequestData {
  latitude: number;
  longitude: number;
}

export interface StaticRequestDataSiteClass extends StaticRequestData {
  siteClass: string;
}

export interface StaticResponseData<T extends StaticResponseMetadata> {
  metadata: T;
  data: XySequence;
}

export interface StaticResponseMetadata {
  siteClass: string;
  xLabel: string;
  yLabel: string;
}

export interface HazardResponseMetadata extends StaticResponseMetadata {
  imt: Parameter;
}

export interface GroundMotionResponseMetadata extends StaticResponseMetadata {
  imtValues: Record<string, number>;
}
