import {Response} from '../../nshmp-ws-utils';
import {DoubleParameter, Parameter} from '../../nshmp-ws-utils/metadata';

export type StaticHazardUsage = Response<string, StaticHazardUsageResponse>;

export interface StaticHazardUsageResponse {
  description: string;
  syntax: string[];
  models: HazardSourceModel;
  vs30: DoubleParameter;
}

export interface HazardSourceModel {
  imts: Parameter[];
  latitude: DoubleParameter;
  longitude: DoubleParameter;
  name: string;
  netcdfMetadata: NetcdfMetadata;
  siteClasses: Record<string, number>;
}

export interface NetcdfMetadata {
  netcdfFile: string;
  scienceBaseMetadata: object;
}

export interface ScienceBaseMetadata {
  catalogId: string;
  dataType: string;
  description: string;
  gridStep: number;
  history: string;
  label: string;
  region: string;
  scieneBaseInfo: ScienceBaseInfo[];
  year: number;
}

export interface ScienceBaseInfo {
  id: string;
  file: string;
  files: CatalogFileInfo[];
  scienceBaseVersion: string;
  title: string;
  url: string;
}

export interface CatalogFileInfo {
  file: string;
  siteClass: string;
  vs30: string;
}
