import {Status} from './status.model';

/**
 * Generic web service response used for usage, error, and results.
 */
export interface Response<T, V> {
  name: string;
  date: string;
  status: Status;
  url: string;
  metadata: ResponseMetadata;
  request: T;
  response: V;
}

export interface ResponseMetadata {
  repositories: VersionInfo[];
}

export interface VersionInfo {
  projectName: string;
  url: string;
  version: string;
  gitHash: string;
}
