import {PlotData} from 'plotly.js';

import {PlotlyConfig} from './plotly-config.model';
import {PlotlyLayout} from './plotly-layout.model';

/**
 * A Plotly plot.
 */
export interface PlotlyPlot {
  /** Plot data */
  data: Partial<PlotData>[];
  /** Plot id */
  id: string;
  /** Plotly config */
  config: Partial<PlotlyConfig>;
  /** Plotly layout */
  layout: Partial<PlotlyLayout>;
  /** Mobile Plotly config */
  mobileConfig: Partial<PlotlyConfig>;
  /** Mobile Plotly layout */
  mobileLayout: Partial<PlotlyLayout>;

  /**
   * Breakpoint for when to use mobile settings.
   *
   * This is the width of the container that the plot is in not the viewport.
   */
  panelBreakpoint?: number;
}
