/**
 * Calculate the height based on element width and aspect ratio.
 *
 * @param el The svg element
 * @param aspectRatio The aspect ratio in form `number:number`
 */
export function heightFromAspectRatio(
  el: SVGElement,
  aspectRatio: string
): number {
  const width = Number.parseFloat(el.getAttribute('width') ?? '0');

  if (!/[\d]+:[\d]+/.test(aspectRatio)) {
    throw new Error(
      `Aspect ratio [${aspectRatio}] is not in form number:number`
    );
  }

  return width / eval(aspectRatio.split(':').join('/'));
}
